Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005526TestLinkBug Tracking System - Youtrack Integrationpublic2013-02-13 08:072013-05-26 18:50
ReporterJgagnon 
Assigned Tofman 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.5 (2012 Q4 - bug fixing) 
Fixed in Version1.9.6 (2013 Q1 - bug fixing) 
Summary0005526: Cannot integrate with Youtrack
DescriptionI have installed Bitnami Testlink 1.9.5 on a windows box (server 2008)

I have set it up as per instruction and have enabled the bug tracker using the example code for Youtrack.

However, when I attempt to exectute a test I see the following message:
attention Please:
Something is preventing connection to Bug Tracking System,
and is going to create performance issues.
Please contact your TestLink Administrator

I have made sure that my you track has the REST API active.

I also checked the event logs

where I see errors such as

E_NOTICE Trying to get property of non-object - in C:\Program Files\BitNami TestLink\apps\testlink\htdocs\lib\issuetrackerintegration\youtrackrestInterface.class.php - Line 213
12/02/2013 00:00:17
admin
E_NOTICE Undefined index: can_delete_execution - in C:\Program Files\BitNami TestLink\apps\testlink\htdocs\gui\templates_c\%%8E^8EC^8ECF17FA%%inc_exec_show_tc_exec.tpl.php - Line 398
12/02/2013 00:00:17
admin
E_WARNING Creating default object from empty value - in C:\Program Files\BitNami TestLink\apps\testlink\htdocs\lib\issuetrackerintegration\youtrackrestInterface.class.php - Line 213


the curl is also Active
Steps To ReproduceI installed testlink and then set the issue tracker integration up using the default script

<!-- Template youtrackrestInterface -->
<issuetracker>
<username>testlink</username>
<password>USERPASSWORD</password>
<!-- IMPORTANT NOTICE --->
<!-- uribase CAN NOT END with / -->
<uribase>HTTP://youtrack:8090</uribase> [^]
<!-- Configure project if you want to Add issues from TestLink -->
<project>TS</project>
</issuetracker>
TagsTO BE FIXED on 2.0
Database (MySQL,Postgres,etc)MYSQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0005406closedfman Availables hot-fixes for 1.9.5 & How To get full fixed package from gitorious 

-  Notes
(0018322)
fman (administrator)
2013-02-13 22:09

There is an error here
WRONG
<!-- IMPORTANT NOTICE --->

RIGHT
<!-- IMPORTANT NOTICE -->

Please retry (I've tested integration with latest code from gitorious againts a youtrackincloud installation).
(0018323)
fman (administrator)
2013-02-13 22:16

http://gitorious.org/testlink-ga/testlink-code/commit/eddf31423cddd02ee2abee272a1bbcd5e7b35825 [^]

- Issue History
Date Modified Username Field Change
2013-02-13 08:07 Jgagnon New Issue
2013-02-13 22:09 fman Note Added: 0018322
2013-02-13 22:09 fman Assigned To => fman
2013-02-13 22:09 fman Status new => feedback
2013-02-13 22:16 fman Note Added: 0018323
2013-02-13 22:17 fman Tag Attached: TO BE FIXED on 2.0
2013-02-13 22:17 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-02-13 22:17 fman Status feedback => resolved
2013-02-13 22:17 fman Fixed in Version => 1.9.6 (2013 Q1 - bug fixing)
2013-02-13 22:17 fman Resolution open => fixed
2013-02-13 22:17 fman Relationship added child of 0005406
2013-05-26 18:50 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker